Subject: Re: mmotm 2013-01-11-15-47 uploaded (x86 asm-offsets broken)

From: Joe Perches <[email-masked]>
Date: Sat, 12 Jan 2013 08:52:14 -0800

On Sat, 2013-01-12 at 11:13 +0100, Sedat Dilek wrote:
> On Sat, Jan 12, 2013 at 3:29 AM, Joe Perches <[email-masked]> wrote:
> > On Sat, 2013-01-12 at 13:17 +1100, Stephen Rothwell wrote:
> >> On Fri, 11 Jan 2013 17:43:06 -0800 Randy Dunlap <[email-masked]> wrote:
> >> >
> >> > b0rked.
> >> >
> >> > Some (randconfig?) causes this set of errors:
> >
> > I guess that's when CONFIG_HZ is not an even divisor of 1000.
> > I suppose this needs to be worked on a bit more.
[]
> I remember this patch from Joe come up with a pending patch in
> net-next.git#master
[]
> As I see Randy has in his kernel-config:
> CONFIG_HZ=300
> So there is a problem for the value "300" (only)?

Basically, this problem exists whenever timeconst.h
is necessary.

kernel/Makefile has code to create it in kernel/
and kernel/time.c is the only file that uses it.

That code will need to be removed and newly written
somewhere so that timeconst.h could be created as
include/linux/timeconst.h before any other compilation
so that jiffies.h can #include it.

I believe it should be akin to how version.h or
elfconfig.h is created.

Someone with stronger Makefile foo could probably do
it quicker than I could.

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>